diff --git a/jerry-core/parser/js/js-lexer.c b/jerry-core/parser/js/js-lexer.c
index 4adc3ea9e2..7544324ac9 100644
--- a/jerry-core/parser/js/js-lexer.c
+++ b/jerry-core/parser/js/js-lexer.c
@@ -722,6 +722,8 @@ lexer_parse_identifier (parser_context_t *context_p, /**< context */
         decoded_length = 2 * 3;
         has_escape = true;
       }
+#else /* !ENABLED (JERRY_ES2015) */
+      parser_raise_error (context_p, PARSER_ERR_INVALID_IDENTIFIER_PART);
 #endif /* ENABLED (JERRY_ES2015) */
     }
 
diff --git a/tests/jerry/regression-test-issue-2936.js b/tests/jerry/es2015/regression-test-issue-2936.js
similarity index 100%
rename from tests/jerry/regression-test-issue-2936.js
rename to tests/jerry/es2015/regression-test-issue-2936.js
diff --git a/tests/jerry/es5.1/regression-test-issue-3498.js b/tests/jerry/es5.1/regression-test-issue-3498.js
new file mode 100644
index 0000000000..a14ec58312
--- /dev/null
+++ b/tests/jerry/es5.1/regression-test-issue-3498.js
@@ -0,0 +1,26 @@
+// Copyright JS Foundation and other contributors, http://js.foundation
+//
+// Licensed under the Apache License, Version 2.0 (the "License");
+// you may not use this file except in compliance with the License.
+// You may obtain a copy of the License at
+//
+//     http://www.apache.org/licenses/LICENSE-2.0
+//
+// Unless required by applicable law or agreed to in writing, software
+// distributed under the License is distributed on an "AS IS" BASIS
+// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+// See the License for the specific language governing permissions and
+// limitations under the License.
+
+
+function assertThrows(src) {
+  try {
+    eval(src);
+    assert(false);
+  } catch (e) {
+    assert(e instanceof SyntaxError);
+  }
+}
+
+assertThrows('𝄞');
+assertThrows('g𝄞');
